Home Manual Packages Global Index Keywords Quick Reference Language Reference Function Reference Including Source Files Comments Issuing Shell Commands Matrix Multiplication Information About Variables Elementary Functions Advanced Array Indexing Index Range Functions Logical Functions Interpolation and Lookup Functions Sorting Transposing Manipulating Strings Generating Simple Meshes Using Pointers Instancing Data Structures Reshaping Arrays I/O Reference | # Yorick Function Reference ## Reshaping Arrays `reshape, x, type_name, dimlist` masks shape of x Don't try to use this unless (1) you're an expert, and (2) you're desperate. It is intended mainly for recovering from misfeatures of other programs, although there are a few legitimate uses within Yorick. In case you want to change the dimensions of an array but conserve the data use the following: `new=array(0.,dim1,dim2)` `new(*)=old` this copies the data of array `old` into array `new` but preserves the dimensions of the array `new`.